This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 610804 - yum-plugin-auto-update-debug-info: adds debuginfo even when command line says to exclude
yum-plugin-auto-update-debug-info: adds debuginfo even when command line says...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 09:35 EDT by David Timms
Modified: 2014-01-21 18:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Timms 2010-07-02 09:35:28 EDT
Description of problem:
When a yum command line explicitly excludes *debuginfo repos, auto-update-debug-info overrides it, and list / operates with the debuginfo repos enabled.

Version-Release number of selected component (if applicable):
yum-plugin-auto-update-debug-info-1.1.26-1.fc12.noarch

How reproducible:
yes.

Steps to Reproduce:
1. yum --enablerepo=* --disablerepo=*source,*debuginfo --showduplicates list k3g*

Actual results:
Installed Packages
k3guitune.x86_64                       1.01-6.fc12             @updates         
Available Packages
k3guitune.x86_64                       1.01-5.fc12             f13              
k3guitune.x86_64                       1.01-5.fc12             fedora           
k3guitune.x86_64                       1.01-6.fc12             updates          
k3guitune.x86_64                       1.01-6.fc14             rawhide          
k3guitune-debuginfo.x86_64             1.01-5.fc12             f13-debuginfo    
k3guitune-debuginfo.x86_64             1.01-5.fc12             fedora-debuginfo 
k3guitune-debuginfo.x86_64             1.01-5.fc12             timmsy-debuginfo 
k3guitune-debuginfo.x86_64             1.01-6.fc12             updates-debuginfo
k3guitune-debuginfo.x86_64             1.01-6.fc14             rawhide-debuginfo

Expected results:
Installed Packages
k3guitune.x86_64                      1.01-6.fc12                       @updates
Available Packages
k3guitune.x86_64                      1.01-5.fc12                       f13     
k3guitune.x86_64                      1.01-5.fc12                       fedora  
k3guitune.x86_64                      1.01-6.fc12                       updates 
k3guitune.x86_64                      1.01-6.fc14                       rawhide 

Additional info:
workaround:
 yum --enablerepo=*  --disablerepo=*source,*debuginfo --disableplugin=auto-update-debuginfo --showduplicates list k3g*

Perhaps the hook for the plugin needs to be run between enablerepo, and before disablerepo, although that probably depends on the order the user is applying enable and disable in.

Maybe related to https://bugzilla.redhat.com/show_bug.cgi?id=568488
Comment 1 Bug Zapper 2010-11-03 08:35:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 08:34:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 James Antill 2010-12-03 09:46:34 EST
I just fixed this upstream.

Note You need to log in before you can comment on or make changes to this bug.